Bug 9238 - fund pull down says 'select budget'
Summary: fund pull down says 'select budget'
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-06 19:57 UTC by Nicole C. Engard
Modified: 2014-12-07 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9238 - fund pull down says 'select budget' (2.40 KB, patch)
2013-08-13 14:13 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9238 - fund pull down says 'select budget' (2.44 KB, patch)
2013-08-13 15:29 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9238 - fund pull down says 'select budget' (2.52 KB, patch)
2013-08-16 16:05 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-12-06 19:57:21 UTC
When you're ordering it says 'Fund:' and has a pull down to the right of it that says 'select budget' but really you're selecting a fund.
Comment 1 Owen Leonard 2013-08-13 14:13:51 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2013-08-13 15:29:14 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-08-16 16:05:03 UTC
Created attachment 20426 [details] [review]
Bug 9238 - fund pull down says 'select budget'

When adding a new order to a basket the fund selection field is labeled
"Fund:" but the default option is "Select a budget." This patch changes
this string to "Select a fund" and also corrects the associated
JavaScript error message text displayed when one doesn't choose a fund.

To test, add an order to basket. The "New order" form should show
"Select a fund" as the default option for "Fund" in the "Accounting
details" section. If you submit the form without selecting a fund the
error message should read "You must select a fund."

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
tests pass

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
String updates only, passes koha-qa.pl
Comment 4 Galen Charlton 2013-08-16 16:15:11 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Tomás Cohen Arazi 2013-09-11 17:55:20 UTC
This patch has been pushed to 3.12.x, will be in 3.12.5.

Thanks Owen!
Comment 6 Bernardo Gonzalez Kriegel 2013-09-14 22:38:03 UTC
Pushed to 3.10.x, will be in 3.10.11